# Module ethcore_util::sha3 [−] [src]

Wrapper around tiny-keccak crate as well as common hash constants.

## Constants

SHA3_EMPTY | Get the SHA3 (i.e. Keccak) hash of the empty bytes string.
SHA3_EMPTY_LIST_RLP | The SHA3 of the RLP encoding of empty list.
SHA3_NULL_RLP | The SHA3 of the RLP encoding of empty data.

## Traits

Hashable | Types implementing this trait are sha3able.

## Functions

sha3 | Calculate SHA3 of given stream.

# Help

## Keyboard Shortcuts

?
  Show this help dialog
S
  Focus the search field
⇤
  Move up in search results
⇥
  Move down in search results
⏎
  Go to active search result
+
  Collapse/expand all sections

## Search Tricks

Prefix searches with a type followed by a colon (e.g. `fn:`) to restrict the search to a given type.

Accepted types are: `fn`, `mod`, `struct`, `enum`, `trait`, `type`, `macro`, and `const`.

Search functions by type signature (e.g. `vec -> usize` or `* -> vec`)